Bug 27434 - quota should build-require e2fsprogs-devel
quota should build-require e2fsprogs-devel
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: quota (Show other bugs)
7.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Preston Brown
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-13 14:20 EST by Ian J. Alexander
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-13 14:21:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ian J. Alexander 2001-02-13 14:20:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en]C-CCK-MCD Sabre Inc. Build Date - [02-15-1999]-B  (WinNT; U)


Package "quota" should BuildRequire package "e2fsprogs-devel".

Reproducible: Always
Steps to Reproduce:
1. rpm -e e2fsprogs-devel
2. rpm -ba quota.spec  # erros during build process
	

Actual Results:  Building the quota rpm failed during the build step, indicating that the e2fsprogs headers needed installing.  Said headers 
 are located in the e2fsprogs-devel rpm.

Expected Results:  Quota should BuildRequire e2fsprogs-devel to avoid this.

Patch:
--- quota.spec.original Tue Feb 13 12:12:03 2001
+++ quota.spec  Tue Feb 13 12:12:29 2001
@@ -12,6 +12,7 @@
 Patch7: quota-2.00-blocksize.patch
 Patch8: quota-2.00pre3-label.patch
 BuildRoot: %{_tmppath}/%{name}-root
+BuildRequires: e2fsprogs-devel
 
 %description
 The quota package contains system administration tools for monitoring
Comment 1 Preston Brown 2001-03-10 02:00:23 EST
fixed in quota 3.00 and later (rawhide).

Note You need to log in before you can comment on or make changes to this bug.